* {
    box-shadow: none !important;
    outline: none !important;
}

html, body {
    background: #111111;
    margin: 0;
    padding: 0;
}

#web-root {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: center;
    width: 100vw;
}

.move {
    color: #EEEEEE;
    font-size: 3vmin;
    margin-bottom: 2vmin;
}

.board {
    display: grid;
    grid-template-columns: auto auto auto;
    max-height: 95vmin;
    max-width: 95vmin;

    button {
        background: #111111;
        border: 0;
        color: #EEEEEE;
        cursor: pointer;
        height: 30vmin;
        font-size: 10vmin;
        line-height: 1;
        margin: 0;
        padding: 0;
        width: 30vmin;

        &:not(:disabled):empty:focus,
        &:not(:disabled):empty:hover {
            background: rgba(255, 255, 255, 0.1);
        }

        :disabled {
            cursor: not-allowed;
        }

        &.win {
            background: green;
        }

        &.lose {
            background: red;
        }
    }

    :nth-child(1),
    :nth-child(2),
    :nth-child(3),
    :nth-child(4),
    :nth-child(5),
    :nth-child(6) {
        border-bottom: 1vmin solid #EEEEEE;
    }

    :nth-child(1),
    :nth-child(2),
    :nth-child(4),
    :nth-child(5),
    :nth-child(7),
    :nth-child(8) {
        border-right: 1vmin solid #EEEEEE;
    }
}

.waiting {
    align-items: center;
    background: rgba(0, 0, 0, 0.5);
    bottom: 0;
    color: #EEEEEE;
    display: flex;
    justify-content: center;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1000;
}

.lobby {
    button {
        background: transparent;
        border: none;
        color: #EEEEEE;
        cursor: pointer;
        font-size: 2rem;
        font-weight: 700;
        margin: 3rem;
        padding: 1.5rem 3rem;
        text-transform: uppercase;

        &:focus,
        &:hover {
            background: blue
        }
    }
}
